CUTLASS: cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ > Struct Template Reference

Partial specialization for row-major.

`#include <simt_policy.h>`

## Public Types
using | WarpShape = WarpShape_
using | Operator = Operator_
using | MmaSimtPolicy = MmaSimtPolicy_

## Static Public Attributes
static int const | kIterations = WarpShape::kM / MmaSimtPolicy::WarpShape::kRow
| Number of iterations. More...
static int const | kElementsPerIteration
| Number of accumulators written per iteration. More...
static int const | kAccumulatorElementCount = kElementsPerIteration * kIterations
| Total number of accumulators. More...
static int const | kElementsPerAccess = MmaSimtPolicy::LaneMmaShape::kN
| Number of consecutive elements. More...
static int const | kRowsPerIteration = MmaSimtPolicy::WarpShape::kRow
| Number of rows per epilogue iteration. More...
static int const | kAccessesPerIteration = kElementsPerIteration / kElementsPerAccess
| Number of accesses made in one iteration. More...

## Member Typedef Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::MmaSimtPolicy = MmaSimtPolicy_

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::Operator = Operator_

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::WarpShape = WarpShape_

## Member Data Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kAccessesPerIteration = kElementsPerIteration / kElementsPerAccess
| static

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kAccumulatorElementCount = kElementsPerIteration * kIterations
| static

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kElementsPerAccess = MmaSimtPolicy::LaneMmaShape::kN
| static

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kElementsPerIteration
| static

Initial value:
=
(WarpShape::kN / MmaSimtPolicy::WarpShape::kColumn)
template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kIterations = WarpShape::kM / MmaSimtPolicy::WarpShape::kRow
| static

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::SimtPolicy< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kRowsPerIteration = MmaSimtPolicy::WarpShape::kRow
| static

The documentation for this struct was generated from the following file:

- simt_policy.h